{
  "accUserMode" : 2,
  "caption" : "数据容器测试",
  "codeName" : "TESTPanelDataContainerTest",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTPanelDataContainerTest.json",
  "name" : "TESTPanelDataContainerTest",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "PanelDataContainerTest",
  "getPSDEViewId" : "EE0C3FB2-571B-45D9-BA91-B4144FBC9D7C",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr0804167887",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "数据容器测试布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "单项数据容器(实体行为)",
      "dataRegionType" : "SINGLEDATA",
      "dataSourceType" : "DEACTION",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_singledata",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "predefinedType" : "CONTAINER_SINGLEDATA"
    }, {
      "caption" : "单项数据容器（数据集）",
      "dataRegionType" : "SINGLEDATA",
      "dataSourceType" : "DEDATASET",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_singledata1",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "predefinedType" : "CONTAINER_SINGLEDATA"
    }, {
      "caption" : "单项数据容器（实体逻辑）",
      "dataRegionType" : "SINGLEDATA",
      "dataSourceType" : "DELOGIC",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_singledata2",
      "getPSAppDELogic" : {
        "modelref" : true,
        "id" : "singleData"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "predefinedType" : "CONTAINER_SINGLEDATA"
    }, {
      "caption" : "单项数据容器(应用全局变量)",
      "dataName" : "context",
      "dataRegionType" : "SINGLEDATA",
      "dataSourceType" : "APPGLOBALPARAM",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_singledata3",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "predefinedType" : "CONTAINER_SINGLEDATA"
    }, {
      "caption" : "单项数据容器（顶级视图）",
      "dataName" : "srfactiveviewdata",
      "dataRegionType" : "SINGLEDATA",
      "dataSourceType" : "TOPVIEWSESSIONPARAM",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_singledata4",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "predefinedType" : "CONTAINER_SINGLEDATA"
    }, {
      "caption" : "单项数据容器（当前视图）",
      "dataName" : "srfactiveviewdata",
      "dataRegionType" : "SINGLEDATA",
      "dataSourceType" : "VIEWSESSIONPARAM",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_singledata5",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "predefinedType" : "CONTAINER_SINGLEDATA"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "F3DC3B52-1675-499D-845E-2D1AFFFF653A",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "caption" : "数据容器测试",
      "codeName" : "PanelDataContainerTestcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "数据容器测试",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "29EBE388-79D7-4B3E-BFA1-0400567899B5",
  "modeltype" : "PSAPPDEVIEW"
}